package parsekit_test

import (
	"fmt"

	"git.makaay.nl/mauricem/go-parsekit"
)

func ExampleError() {
	err := &parsekit.Error{
		Message: "it broke down",
		Cursor:  parsekit.Cursor{Line: 9, Column: 41},
	}

	fmt.Println(err.Error())
	fmt.Printf("%s\n", err)
	fmt.Println(err.Full())
	// Output:
	// it broke down
	// it broke down
	// it broke down at line 10, column 42
}

func ExampleError_Error() {
	err := &parsekit.Error{
		Message: "it broke down",
		Cursor:  parsekit.Cursor{Line: 9, Column: 41},
	}

	fmt.Println(err.Error())
	fmt.Printf("%s\n", err)
	// Output:
	// it broke down
	// it broke down
}

func ExampleError_Full() {
	err := &parsekit.Error{
		Message: "it broke down",
		Cursor:  parsekit.Cursor{Line: 9, Column: 41},
	}

	fmt.Println(err.Full())
	// Output:
	// it broke down at line 10, column 42
}
